Bug 123999 - ALSA Lib segemntation fault
ALSA Lib segemntation fault
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 14:24 EDT by andrew
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 19:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrew 2004-05-22 14:24:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):
ALSA package 1.0.4

How reproducible:
The bug is not reproducible, so it is likely a hardware or OS problem.
  
Actual results:
alisp.c:392: internal compiler error: Segmentation fault
make[3]: *** [alisp.lo] Error 1
make[3]: Leaving directory `/home/warrick/alsa/alsa-lib-1.0.4/src/alisp'
make[2]: *** [alisp/libalisp.la] Error 2
make[2]: Leaving directory `/home/warrick/alsa/alsa-lib-1.0.4/src'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/home/warrick/alsa/alsa-lib-1.0.4/src'
make: *** [install-recursive] Error 1

Additional info:
This error occurs only when using:
./configure;make;make install
under alsa-lib-1.0.4 package

Sound card is MonsterSound mx300: AU8830

I have been trying to get this sound card to work
on Core 1, but gave up and uprgaded to Core 2, which
will actually find the card, but gives no sound. This
is the most frustrating thing I have ever endured. Please
help ... thank you.
Comment 1 Jakub Jelinek 2004-05-25 12:37:53 EDT
If you get "The bug is not reproducible, so it is likely a hardware or OS problem."
from the compiler, you should check your hardware.
memtest86 might be a good start.
If you can reproduce the ICE, I need the preprocessed testcase
(GCC ought to create it automatically if it determines it is reproduceable).
Comment 2 andrew 2004-05-27 00:07:47 EDT
I apologize for my ignorance, but how do I run memtest86? and what
does ICE stand for (if that really matters)? I thank thee for thy time...
Comment 3 Jakub Jelinek 2004-05-27 11:38:31 EDT
You can run memtest86 e.g. by booting FC2 ISO and typing
memtest86
on the first prompt.
ICE stands for Internal Compiler Error.
Comment 4 andrew 2004-05-28 17:20:45 EDT
Okay.. a few things to update here... First of all, thank you for your
help in getting memtest86 running, interesting program, didn't find
any errors. Also, I began to play around with the ALSA mixer, and
actually got sound out of my card by muting all fields, except for the
3D sound module. And the sound I do get out of the card is no perfect,
either. Its either jumbled, or too fast, but sometimes plays normally.
Not sure if all that adds up to a solution, but it seems like its
close. Let me know what you think... thank you again for your time and
help.
Comment 5 Jakub Jelinek 2004-10-03 19:39:55 EDT
Well, there is certainly nothing that can be done for a non-reproduceable
compiler segfault, especially when testcase is missing.
Therefore closing.

Note You need to log in before you can comment on or make changes to this bug.